/* ========================================
 *  DitherMeTimbers - DitherMeTimbers.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "DitherMeTimbers.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::DitherMeTimbers {

DitherMeTimbers::DitherMeTimbers()
{
	noiseShapingL = 0.0;
	noiseShapingR = 0.0;
	lastSampleL = 0.0;
	lastSample2L = 0.0;
	lastSampleR = 0.0;
	lastSample2R = 0.0;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int DitherMeTimbers::getParameterCount() const
{
	return kNumParameters;
}

void DitherMeTimbers::setParameter(int index, float value) {
}

float DitherMeTimbers::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void DitherMeTimbers::getParameterName(int index, char *text) {
}

void DitherMeTimbers::getParameterDisplay(int index, char *text) {
}

void DitherMeTimbers::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
